---
updatedAt: 2026-04-28T09:31:16.000Z
agentTools:
  projectIndex: https://docs.makaira.io/llms.txt
---

# Delete app

Delete a registered app

Removes an app from the Makaira instance.

Requires authentication.

## Request

**`DELETE /app/{slug}`**

### Path Parameters

| Parameter | Type   | Required | Description                    |
| --------- | ------ | -------- | ------------------------------ |
| `slug`    | string | Yes      | The slug of the app to delete. |

### Headers

| Header          | Value            |
| --------------- | ---------------- |
| `Authorization` | `Bearer <token>` |

## Response

Returns a confirmation on success.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Makaira API",
    "version": "1.0",
    "contact": {
      "name": "Makaira GmbH",
      "url": "https://www.makaira.io/",
      "email": "support@makaira.io"
    },
    "description": "API of the powerful Makaira Search/Recommendation and Marketing Suite"
  },
  "servers": [
    {
      "url": "https://{yourinstance}.makaira.io"
    }
  ],
  "paths": {
    "/app/{slug}": {
      "delete": {
        "description": "Delete a registered app",
        "tags": [
          "App"
        ],
        "operationId": "delete-app",
        "parameters": [
          {
            "$ref": "#/components/parameters/instance"
          },
          {
            "in": "path",
            "required": true,
            "name": "slug",
            "description": "The slug of an existing app",
            "schema": {
              "type": "string",
              "format": "^[a-z0-9\\\\-]*"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returned when the app could be deleted",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "ok": {
                      "example": true,
                      "type": "boolean",
                      "description": "Whether the app could be deleted or not. When response code is 200, `ok` will always be `true`"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Returned when no application could be found with the given slug.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "ok": {
            "type": "boolean",
            "default": false,
            "description": "Whether the request was successful or not. If response code is 500 `ok` will always be false."
          },
          "message": {
            "type": "string",
            "example": "Something went wrong. We are working on getting this fixed.",
            "description": "Description of the occurred errors. Multiple errors are concatenated with a `;`"
          },
          "errorId": {
            "type": "string",
            "description": "Identifier for the error that you can provide the makaira support to receive help with you request."
          }
        }
      }
    },
    "parameters": {
      "instance": {
        "in": "header",
        "name": "X-Makaira-Instance",
        "required": true,
        "description": "Makaira Instance ID",
        "schema": {
          "type": "string"
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Authentication by JSON Web Token\n"
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```